Module | Compass::Frameworks
In: | lib/compass/frameworks.rb

### Methods

[] detect_registration discover pretty_print register register_directory template_exists? template_usage

### Classes and Modules

Class Compass::Frameworks::Framework

### Constants

ALL | = | []
DEFAULT_FRAMEWORKS_PATH | = | File.join(Compass.base_directory, 'frameworks')

### Public Instance methods

[](name)
detect_registration() {|| ...}
discover(frameworks_directory)
pretty_print(skip_patterns = false)
register(name, *arguments)
register_directory(directory)
template_exists?(template)
template_usage(template)

[Validate]